// 引入组件
import End from './End'
End.install = function(Vue){
    return Vue.component(End.name, End);
};
if (typeof window !== 'undefined' && window.Vue) {
  window.Vue.use(End);
}
const ANSWER_RESULT = 'answerResult';
const RESUBMIT_ANSWER = 'resubmitAnswer';
window.addEventListener('message', function (e) {
        //php反馈金币信息
        if (e.data.type === ANSWER_RESULT) {
         console.log("%c服务端返回数据", "color:#FF323B;font-weight:bold;");
          console.log(e.data.data);
          window.store.state.goldnum = e.data.data.goldnum;
          setTimeout(function () {
            window.store.commit('setIsPost', true);
            if(window.question.one.start.show && window.question.one.gameBgSound.show&&window.gameBgSoundAn){
               window.gameBgSoundAn.timeScale = 0
            }
            PIXI.sound.stopAll();
            window.stemSoundAn ? window.stemSoundAn.timeScale = 0 :'';
          },parseInt(window.question.one.end.jumpResultTime))
        }
        //php主动收卷
        else if (e.data.type === RESUBMIT_ANSWER) {
          if (!window.store.state.isPost) {
            console.log("%c教师端强制收卷", "color:#FF323B;font-weight:bold;");
            window.store.dispatch('postAnswer');
          }
        }
});
export default End
