import {Container,Sprite,Graphics} from 'pixi.js';
const PIXI_SPINE = require('pixi-spine');
export function getAnimation(animationStr) {
  return new PIXI.spine.Spine(res[animationStr].spineData)
}

export function getSound(resourceStr) {
  return res[resourceStr].data;
}

export function createSprite(texture) {
  console.log(new Sprite(texture));
  return new Sprite(texture);
}

export function getOptionTexture(resourceJsonStr,texture) {
  return res[resourceJsonStr].textures[texture];
}
export function getTexture(resourceStr) {
  return res[resourceStr].texture;
}
